#include<iostream>
using namespace std;
int main()
{
    int n,k,brojp=0,p,probno;
    cin>>n>>k;
    p=2*n+1;
    int x[n],y[p];
    for(int i=1;i<=n;i++){

        cin>>x[i];
       
    }
    for(j=-n;j<=n;j++){
        y[j]=j; 
    }
    for(int r=-n;r<=n;r++){
        probno=0;
        for(int u=1;u<=n;u++){
            if(y[r]==x[u]){
                probno++;
            }
            if(probno==k){
                cout<<y[r];
                brojp++;
            }
        }
    }
    cout<<brojp;
    return 0;
}